Create Service Engine Group Assignment
Create a new Avi Service Engine Group Assignment.
Create a new Avi Service Engine Group Assignment. This assigns the PROVIDER_MANAGED Avi Service Engine Group to an Organization.
Request
URI
POST
https://{api_host}/cloudapi/v1/loadBalancer/aviServiceEngineGroupsAssignments
COPY
Request Body
AviServiceEngineGroupAssignment
of type(s)
application/json
Required
Show optional properties
{
"serviceEngineGroupRef": {},
"orgRef": {}
}
{
"id": "urn:vcloud:aviServiceEngineGroupAssignment:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"serviceEngineGroupRef": {
"name": "string",
"id": "string"
},
"orgRef": {
"name": "string",
"id": "string"
},
"backingRef": {
"id": "string",
"name": "string"
}
}
string
id
Optional
The identifier of the Avi Load Balancer Service Engine Group Assignment in URN format.
object
serviceEngineGroupRef
Required
Entity reference used to describe VCD entities
object
orgRef
Required
Entity reference used to describe VCD entities
object
backingRef
Optional
Backing Id for an entity not owned by VCD.
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"orgRef":"object","serviceEngineGroupRef":"object"}' https://{api_host}/cloudapi/v1/loadBalancer/aviServiceEngineGroupsAssignments
Availability
Added in 9.1.0
Avi Service Engine Groups Assignments Operations
GET
Get Service Engine Group Assignments
POST
Create Service Engine Group Assignment
GET
Get Service Engine Group Assignment
DELETE
Delete Service Engine Group Assignment